<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rnaqc_baprotocol.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#rnaQcTable
{
	width: 100%; 
	border-collapse: collapse;
}

#rnaQcTable th
{
	padding: 4px 2px 4px 2px;
}

#rnaQcTable td
{
	padding-top: 3px;
	padding-bottom: 3px;
	text-align: center;
}

#rnaQcTable .comments
{
	text-align: left;
	width: 50%;
}

#rnaQcTable .comments input
{
	width: 95%;
}


</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA quality control - Lab protocol for BioAnalyzer plate" 
		/></p:path>

	<div class="content">

	<form name="reggie" action="rnaqc_baprotocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="YellowLabel" id="YellowLabel" value="0">
	
	<!-- 1. Select bioplate -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select RNA QC plate</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Active bioplates</td>
				<td class="input">
					<select name="bioPlates" id="bioPlates"></select>
				</td>
				<td class="status" id="bioplates.status"></td>
				<td class="help">
					<span id="bioplates.message" class="message"></span>
					Select the bioplate to work with. The list contain RNAQC 
					bioplates without quality score data (determined by 
					absence of QCRunDate annotation).
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocreate" title="Finish" image="<%=home+"/images/gonext.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>